use diesel::prelude::*;

#[derive(Queryable, Identifiable, Eq, PartialEq, Debug, Associations, AsChangeset)]
#[diesel(belongs_to(crate::db::User, foreign_key = owner_id))]
#[diesel(table_name = crate::schema::tokens)]
#[diesel(treat_none_as_null = true)]
pub struct Token {
    pub id: i32,
    pub owner_id: i32,
    pub exp: i64
}

#[derive(Insertable, Debug)]
#[diesel(table_name = crate::schema::tokens)]
pub struct NewToken {
    pub owner_id: i32,
    pub exp: i64
}
